# Automatically generated by configure, do not edit unless you know what
# you are doing :)

srcdir = @srcdir@
VPATH = @srcdir@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@

CC              = @CC@
CFLAGS          = -Wall @CFLAGS@ '@SENDMAIL@'
LIBS		= @LIBS@
LDFLAGS         = @LDFLAGS@
RM		= /bin/rm -f

prefix = @prefix@
exec_prefix = @exec_prefix@

# Directory in which to install scripts.
bindir = @bindir@

# Directory in which to install library files.
datadir = @datadir@
acdatadir = $(datadir)/autoconf

# Directory in which to install documentation info files.
infodir = @infodir@

# targets

all:	@PROGS@

OBJECTS = 	heartbeat.o syswatch.o page.o tcp.o udp.o icmp.o pop3.o \
		umichX500.o loadconfig.o smtp.o nntp.o talktcp.o imap.o lib.o \
		textfile.o http.o srvclient.o dnscache.o ircd.o sysmon.o \
		radius.o md5.o # parser.o

block:	block.o talktcp.o lib.o dnscache.o
	-$(RM) block
	$(CC) $(CFLAGS) $(LDFLAGS) -o block block.o talktcp.o lib.o\
		 dnscache.o $(LIBS)

sysmon: client.o talktcp.o lib.o  dnscache.o
	-$(RM) sysmon
	$(CC) $(CFLAGS) $(LDFLAGS) -o sysmon client.o talktcp.o lib.o\
		 dnscache.o $(LIBS)

sysmond: $(OBJECTS)
	-$(RM) sysmond 
	$(CC) $(CFLAGS) $(LDFLAGS) -o sysmond $(OBJECTS) $(LIBS)

register:
	grep VERS config.h | mail -s"Sysmon Registration" jared@puck.nether.net

install:	all
	@echo "installing into @bindir@"
	cp sysmon sysmond @bindir@

strip:
	-strip @PROGS@

clean:
	-rm *.o @PROGS@

heartbeat.o: 	config.h Makefile heartbeat.c
syswatch.o:	config.h Makefile syswatch.c
page.o:		config.h Makefile page.c
tcp.o:		config.h Makefile tcp.c
udp.o: 		config.h Makefile udp.c
icmp.o:		config.h Makefile icmp.c
pop3.o:		config.h Makefile pop3.c
umichX500.o:	config.h Makefile umichX500.c
loadconfig.o:	config.h Makefile loadconfig.c
smtp.o:		config.h Makefile smtp.c
nntp.o:		config.h Makefile nntp.c
talktcp.o:	config.h Makefile talktcp.c
imap.o:		config.h Makefile imap.c
lib.o:		config.h Makefile lib.c
textfile.o:	config.h Makefile textfile.c
http.o:		config.h Makefile http.c
srvclient.o:	config.h Makefile srvclient.c
dnscache.o:	config.h Makefile dnscache.c
ircd.o:		config.h Makefile ircd.c
sysmon.o:	config.h Makefile sysmon.c
radius.o:	config.h Makefile radius.c
md5.o:		config.h Makefile md5.c md5.h
parser.o: parser.l
	lex parser.l
	$(CC) $(CFLAGS) -c -o parser.o lex.yy.c
